function m = spreadBioAtoEdge( m )
%m = spreadBioAtoEdge( m )
%   Assuming that the bio-A layer is intended to cover the entire mesh,
%   force it to do so by moving every vertex on the edge of the bio-A
%   layer to the nearest edge of its cell.
%
%   This is just a special hack to fix a particular mesh and should not be
%   generally used.

    edgeedges = m.secondlayer.edges(:,2)==0;
    edgevxs = unique( m.secondlayer.edges( edgeedges, [1 2] ) );
    m.secondlayer.vxBaryCoords(edgevxs,:) = ...
        baryToEdge( m.secondlayer.vxBaryCoords(edgevxs,:) );
    m = calcCloneVxCoords( m, vxs );
end
